EnumToType< ENUM_TYPE, VALUE > Struct Template Reference

Converts an enumeration to a type suitable for use as a template parameter. More...

`#include <cryptlib.h>`

## Static Public Member Functions

static ENUM_TYPE | ToEnum ()

## Detailed Description

template<typename ENUM_TYPE, int VALUE>
struct EnumToType< ENUM_TYPE, VALUE >

Converts an enumeration to a type suitable for use as a template parameter.

Definition at line 140 of file cryptlib.h.

## Member Function Documentation

## ToEnum()

template<typename ENUM_TYPE, int VALUE>

ENUM_TYPE EnumToType< ENUM_TYPE, VALUE >::ToEnum | ( |  | ) |

inline static

Definition at line 142 of file cryptlib.h.

The documentation for this struct was generated from the following file:

- cryptlib.h